const TaskBase = require("../task.base");
var system = require("../../system")
const logCtl = system.getObject("web.oplogCtl");
class TmMonitAllotTask extends TaskBase {
  constructor() {
    super(TaskBase.getServiceName(TmMonitAllotTask));
    this.bytmmonitSve = system.getObject("service.bytmmonitSve");
  }
  async subDoTask() {
    await this.execSend();
  }
  async execSend() {
    console.log("cehishi ewhcihhscxheikjhc");
    // var tmp = await this.bytmmonitSve.getMonitAll();
    //日志记录
    logCtl.info({
      optitle: "商标监控动态执行结果",
      op: "base/db/task/TmMonitAllotTask.js",
      content: "执行结果：" + tmp,
      clientIp: ""
    });
  }
}
module.exports = TmMonitAllotTask;
